#!/usr/bin/perl
#uft8 to unicode works ok 

my $file = 'test_utf8_data';
open(TEST,"<$file") or die('aaaaagh!!');
while(<TEST>){
	$cur = $_;
	chomp $cur;
        my $testl = length($cur);
        print "$cur is $testl long\n"; 
	my @letters = split //,"$cur";
	for my $loop(0..$#letters){
		my $try1 = $letters[$loop];
		my $number1 = ord($try1);
		my $hex =  sprintf "%1x",$number1;
		print "$try1 is $hex\n";
		}
	}
close(TEST);
